## dcaparse dcaparse — DCA (DTS Coherent Acoustics) parser |

## Types and Values

struct | GstDcaParse

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseParse
                    ╰── GstDcaParse

## Description

This is a DCA (DTS Coherent Acoustics) parser.

### Example launch line

    1
    gst-launch filesrc location=abc.dts ! dcaparse ! dtsdec ! audioresample ! audioconvert ! autoaudiosink

## Synopsis

### Element Information

plugin | audioparsers
author | Tim-Philipp Müller <tim centricular net>
class | Codec/Parser/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-dts

name | src
direction | source
presence | always
details | audio/x-dts, framed=(boolean)true, channels=(int)[ 1, 8 ], rate=(int)[ 8000, 192000 ], depth=(int){ 14, 16 }, endianness=(int){ 1234, 4321 }, block-size=(int)[ 1, 2147483647 ], frame-size=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstDcaParse

    struct GstDcaParse;

The opaque GstDcaParse object

## See Also

GstAmrParse, GstAACParse, GstAc3Parse